Bug 177065 - Wrong style with dynamic updates to display: contents.
Summary: Wrong style with dynamic updates to display: contents.
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: CSS (show other bugs)
Version: WebKit Nightly Build
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Nobody
URL:
Keywords: InRadar
Depends on:
Blocks: 157477
  Show dependency treegraph
 
Reported: 2017-09-17 19:36 PDT by Emilio Cobos Álvarez [:emilio]
Modified: 2017-09-27 12:33 PDT (History)
5 users (show)

See Also:


Attachments
Patch (3.78 KB, patch)
2017-09-17 19:39 PDT, Emilio Cobos Álvarez [:emilio]
no flags Details | Formatted Diff | Diff
Archive of layout-test-results from ews104 for mac-elcapitan-wk2 (1.75 MB, application/zip)
2017-09-17 20:26 PDT, Build Bot
no flags Details
Archive of layout-test-results from ews100 for mac-elcapitan (1.43 MB, application/zip)
2017-09-17 20:47 PDT, Build Bot
no flags Details
Patch (4.31 KB, patch)
2017-09-17 20:48 PDT, Emilio Cobos Álvarez [:emilio]
no flags Details | Formatted Diff | Diff
Patch (20.79 KB, patch)
2017-09-17 22:48 PDT, Emilio Cobos Álvarez [:emilio]
no flags Details | Formatted Diff | Diff
Patch (4.31 KB, patch)
2017-09-17 22:49 PDT, Emilio Cobos Álvarez [:emilio]
no flags Details | Formatted Diff | Diff
Patch (4.22 KB, patch)
2017-09-18 01:24 PDT, Emilio Cobos Álvarez [:emilio]
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Emilio Cobos Álvarez [:emilio] 2017-09-17 19:36:44 PDT
Patch + test incoming.
Comment 1 Emilio Cobos Álvarez [:emilio] 2017-09-17 19:39:41 PDT
Created attachment 321068 [details]
Patch
Comment 2 Emilio Cobos Álvarez [:emilio] 2017-09-17 19:41:36 PDT
Antti, mind reviewing?

Thanks!
Comment 3 Build Bot 2017-09-17 20:26:19 PDT
Comment on attachment 321068 [details]
Patch

Attachment 321068 [details] did not pass mac-wk2-ews (mac-wk2):
Output: http://webkit-queues.webkit.org/results/4579436

New failing tests:
editing/execCommand/justify-right-then-indent-with-problematic-body.html
Comment 4 Build Bot 2017-09-17 20:26:20 PDT
Created attachment 321070 [details]
Archive of layout-test-results from ews104 for mac-elcapitan-wk2

The attached test failures were seen while running run-webkit-tests on the mac-wk2-ews.
Bot: ews104  Port: mac-elcapitan-wk2  Platform: Mac OS X 10.11.6
Comment 5 Build Bot 2017-09-17 20:47:48 PDT
Comment on attachment 321068 [details]
Patch

Attachment 321068 [details] did not pass mac-ews (mac):
Output: http://webkit-queues.webkit.org/results/4579612

New failing tests:
editing/execCommand/justify-right-then-indent-with-problematic-body.html
Comment 6 Build Bot 2017-09-17 20:47:49 PDT
Created attachment 321071 [details]
Archive of layout-test-results from ews100 for mac-elcapitan

The attached test failures were seen while running run-webkit-tests on the mac-ews.
Bot: ews100  Port: mac-elcapitan  Platform: Mac OS X 10.11.6
Comment 7 Emilio Cobos Álvarez [:emilio] 2017-09-17 20:48:54 PDT
Created attachment 321072 [details]
Patch
Comment 8 Emilio Cobos Álvarez [:emilio] 2017-09-17 22:48:50 PDT
Created attachment 321077 [details]
Patch
Comment 9 Emilio Cobos Álvarez [:emilio] 2017-09-17 22:49:45 PDT
Created attachment 321078 [details]
Patch
Comment 10 Emilio Cobos Álvarez [:emilio] 2017-09-17 22:51:17 PDT
Comment on attachment 321078 [details]
Patch

Err, webkit-patch-upload messed up (the patch in comment 8 should've gone in bug 177060).

I reuploaded the same patch that comment 7, which was green. Sorry for the spam everybody.
Comment 11 WebKit Commit Bot 2017-09-18 01:08:29 PDT
Comment on attachment 321078 [details]
Patch

Rejecting attachment 321078 [details] from commit-queue.

Failed to run "['/Volumes/Data/EWS/WebKit/Tools/Scripts/webkit-patch', '--status-host=webkit-queues.webkit.org', '--bot-id=webkit-cq-03', 'land-attachment', '--force-clean', '--non-interactive', '--parent-command=commit-queue', 321078, '--port=mac']" exit_code: 2 cwd: /Volumes/Data/EWS/WebKit

Last 500 characters of output:
LayoutTests
:040000 040000 9df136353c692706e2728e5d9fc387248de89cdb 86a8d7212f99ef652aa59bf346f93989ecd2afbd M	Source
Current branch master is up to date.
ERROR: Not all changes have been committed into SVN, however the committed
ones (if any) seem to be successfully integrated into the working tree.
Please see the above messages for details.


Failed to run "['git', 'svn', 'dcommit', '--rmdir']" exit_code: 1 cwd: /Volumes/Data/EWS/WebKit
Updating OpenSource
Current branch master is up to date.

Full output: http://webkit-queues.webkit.org/results/4581283
Comment 12 Emilio Cobos Álvarez [:emilio] 2017-09-18 01:24:11 PDT
Created attachment 321082 [details]
Patch
Comment 13 Emilio Cobos Álvarez [:emilio] 2017-09-18 01:25:23 PDT
Comment on attachment 321082 [details]
Patch

(In reply to Emilio Cobos Álvarez [:emilio] from comment #12)
> Created attachment 321082 [details]
> Patch

Rebased on top of master, and also to not be on top of bug 177060, though I don't know why it was green on EWS but didn't make it into the repo...
Comment 14 WebKit Commit Bot 2017-09-18 02:32:29 PDT
Comment on attachment 321082 [details]
Patch

Rejecting attachment 321082 [details] from commit-queue.

Failed to run "['/Volumes/Data/EWS/WebKit/Tools/Scripts/webkit-patch', '--status-host=webkit-queues.webkit.org', '--bot-id=webkit-cq-03', 'land-attachment', '--force-clean', '--non-interactive', '--parent-command=commit-queue', 321082, '--port=mac']" exit_code: 2 cwd: /Volumes/Data/EWS/WebKit

Last 500 characters of output:
LayoutTests
:040000 040000 9df136353c692706e2728e5d9fc387248de89cdb 86a8d7212f99ef652aa59bf346f93989ecd2afbd M	Source
Current branch master is up to date.
ERROR: Not all changes have been committed into SVN, however the committed
ones (if any) seem to be successfully integrated into the working tree.
Please see the above messages for details.


Failed to run "['git', 'svn', 'dcommit', '--rmdir']" exit_code: 1 cwd: /Volumes/Data/EWS/WebKit
Updating OpenSource
Current branch master is up to date.

Full output: http://webkit-queues.webkit.org/results/4581734
Comment 15 WebKit Commit Bot 2017-09-18 05:15:41 PDT
Comment on attachment 321082 [details]
Patch

Rejecting attachment 321082 [details] from commit-queue.

Failed to run "['/Volumes/Data/EWS/WebKit/Tools/Scripts/webkit-patch', '--status-host=webkit-queues.webkit.org', '--bot-id=webkit-cq-02', 'land-attachment', '--force-clean', '--non-interactive', '--parent-command=commit-queue', 321082, '--port=mac']" exit_code: 2 cwd: /Volumes/Data/EWS/WebKit

Last 500 characters of output:
LayoutTests
:040000 040000 9df136353c692706e2728e5d9fc387248de89cdb 86a8d7212f99ef652aa59bf346f93989ecd2afbd M	Source
Current branch master is up to date.
ERROR: Not all changes have been committed into SVN, however the committed
ones (if any) seem to be successfully integrated into the working tree.
Please see the above messages for details.


Failed to run "['git', 'svn', 'dcommit', '--rmdir']" exit_code: 1 cwd: /Volumes/Data/EWS/WebKit
Updating OpenSource
Current branch master is up to date.

Full output: http://webkit-queues.webkit.org/results/4582402
Comment 16 WebKit Commit Bot 2017-09-18 09:58:58 PDT
Comment on attachment 321082 [details]
Patch

Rejecting attachment 321082 [details] from commit-queue.

Failed to run "['/Volumes/Data/EWS/WebKit/Tools/Scripts/webkit-patch', '--status-host=webkit-queues.webkit.org', '--bot-id=webkit-cq-01', 'land-attachment', '--force-clean', '--non-interactive', '--parent-command=commit-queue', 321082, '--port=mac']" exit_code: 2 cwd: /Volumes/Data/EWS/WebKit

Last 500 characters of output:
changes.
Patch failed at 0001 Virtualize ImageDecoder
The copy of the patch that failed is found in:
   /Volumes/Data/EWS/WebKit/.git/rebase-apply/patch

When you have resolved this problem, run "git rebase --continue".
If you prefer to skip this patch, run "git rebase --skip" instead.
To check out the original branch and stop rebasing, run "git rebase --abort".

rebase refs/remotes/origin/master: command returned error: 1

Died at /Volumes/Data/EWS/WebKit/Tools/Scripts/webkitdirs.pm line 2746.

Full output: http://webkit-queues.webkit.org/results/4584061
Comment 17 WebKit Commit Bot 2017-09-18 11:27:01 PDT
Comment on attachment 321082 [details]
Patch

Clearing flags on attachment: 321082

Committed r222168: <http://trac.webkit.org/changeset/222168>
Comment 18 WebKit Commit Bot 2017-09-18 11:27:03 PDT
All reviewed patches have been landed.  Closing bug.
Comment 19 Radar WebKit Bug Importer 2017-09-27 12:33:09 PDT
<rdar://problem/34693470>